Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #792

Minor line-spacing pbm. w/QT playlist rows

May 02, 2018 02:08 - Jim Turner

Status: Closed Start date: May 02, 2018
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/qtui Estimated time: 0.00 hour
Target version: 3.10

Affects version: 3.9

Description

The main (playlist) window CHANGES line-spacing (vertical height of rows & no. of rows displayed) when advancing from the TOP
song to any subsequent song and back again when changing back to the top song. Doesn't matter how one advances, the row
height is larger when playing the top song than when playing any other. Please see attached images. Selecting songs does not
effect, only which one is playing. Not sure if Audacious issue or QT / theme issue - | don't recall setting any particular QT "theme".

(GTK interface not affected).
Thanks,

Jim

History

#1 - May 03, 2018 00:47 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 3.10

- Status changed from New to Closed

- Category changed from libaudqt to plugins/qtui
- Affects version 3.9 added

- Affects version deleted (3.9.1)

That's a fun one! The row size is computed from the top row. If you use a small font size, then the top row expands to show the "playing" icon and

shrinks when that icon moves to a different song.

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/9d147ed17c5ece75463bd35516fcd255f145439b

#2 - May 03, 2018 05:58 - Jim Turner

| merged your fix & it works perfectly now!
Thanks for the quick fix!

Jim
